Autor Thema: fhempy: tuya (lokal)  (Gelesen 10020 mal)

Online JF Mennedy

  • Full Member
  • ***
  • Beiträge: 203
Antw:fhempy: tuya (lokal)
« Antwort #135 am: 01 August 2022, 10:00:59 »

Hallo.
habe hier einen Smartmeter eingebunden, der mir dieses reading liefert
phase_a

{"electricCurrent":3.12,"power":0.749,"voltage":238.8}
Wie bekomme ich die einzelnen Werte als eigenes reading?
Userreadings und split function

Offline satprofi

  • Hero Member
  • *****
  • Beiträge: 1658
Antw:fhempy: tuya (lokal)
« Antwort #136 am: 01 August 2022, 15:08:38 »
hmmm, wo finde ich tips bitte?
split?
gruss
-----------------------------------------------------------------------
Raspberry - Fhem 5.7 CUL 868, FS20, NetIO230 CUL 433
HMLAN, HM-CC-RT-DN,Homematic Actoren,LD382A,Telegram

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #137 am: 02 August 2022, 22:27:26 »
Hallo Leute,

habe immer eine server Stopped. Was habe ich falsch gemacht??

defmod tuya_system fhempy tuya setup  mk8mcxngauhxxxxxxx 9f6688f13d27480cbdf7axxxxxxxx 32804800bcddc2xxxxx
                                                            (Access ID/Client ID:)   (Access Secret/Client Secret:)      (smartlife Geräte ID:)

Das müsste doch so richtig sein oder??

und der schreibt immer running und Springt dann wieder in stopped:
 (fhempyserver_15733)

Habe ich was vergessen??

Danke für eure Hilfe.

Poste bitte das fhempy Log, dort sollte der Fehler ersichtlich sein.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #138 am: 02 August 2022, 22:28:53 »
schalter schalten wie wild.
in fhem gerade gesehen

Failed to execute function Define: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 169, in _new_conn conn = connection.create_connection( File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 73, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): File "/usr/lib/python3.9/socket.py", line 953, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno -3] Temporary failure in name resolution During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 699, in urlopen httplib_response = self._make_request( File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 382, in _make_request self._validate_conn(conn) File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 1012, in _validate_conn conn.connect() File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 353, in connect conn = self._new_conn() File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 181, in _new_conn raise NewConnectionError( urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [Errno -3] Temporary failure in name resolution During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/fhem/.local/lib/python3.9/site-packages/requests/adapters.py", line 439, in send resp = conn.urlopen( File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 755, in urlopen retries = retries.increment( File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 574, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='openapi.tuyaeu.com', port=443): Max retries exceeded with url: /v1.0/token?grant_type=1 (Caused by NewConnectionError(': Failed to establish a new connection: [Errno -3] Temporary failure in name resolution')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/fhem/.local/lib/python3.9/site-packages/fhempy/lib/fhem_pythonbinding.py", line 307, in handle_function ret = await self.execute_function(hash, fhem_reply_done, nmInstance) File "/opt/fhem/.local/lib/python3.9/site-packages/fhempy/lib/fhem_pythonbinding.py", line 378, in execute_function ret = await asyncio.wait_for( File "/usr/lib/python3.9/asyncio/tasks.py", line 481, in wait_for return fut.result() File "/opt/fhem/.local/lib/python3.9/site-packages/fhempy/lib/tuya/tuya.py", line 85, in Define await self.setup_cloud() File "/opt/fhem/.local/lib/python3.9/site-packages/fhempy/lib/tuya/tuya.py", line 93, in setup_cloud self.tuya_cloud = await utils.run_blocking( File "/opt/fhem/.local/lib/python3.9/site-packages/fhempy/lib/utils.py", line 34, in run_blocking return await asyncio.get_event_loop().run_in_executor(pool, function) File "/usr/lib/python3.9/concurrent/futures/thread.py", line 52, in run result = self.fn(*self.args, **self.kwargs) File "/opt/fhem/.local/lib/python3.9/site-packages/tinytuya/__init__.py", line 1890, in __init__ self.token = self._gettoken() File "/opt/fhem/.local/lib/python3.9/site-packages/tinytuya/__init__.py", line 1995, in _gettoken response_dict = self._tuyaplatform('token?grant_type=1') File "/opt/fhem/.local/lib/python3.9/site-packages/tinytuya/__init__.py", line 1956, in _tuyaplatform response = requests.get(url, headers=headers) File "/opt/fhem/.local/lib/python3.9/site-packages/requests/api.py", line 75, in get return request('get', url, params=params, **kwargs) File "/opt/fhem/.local/lib/python3.9/site-packages/requests/api.py", line 61, in request return session.request(method=method, url=url, **kwargs) File "/opt/fhem/.local/lib/python3.9/site-packages/requests/sessions.py", line 542, in request resp = self.send(prep, **send_kwargs) File "/opt/fhem/.local/lib/python3.9/site-packages/requests/sessions.py", line 655, in send r = adapter.send(request, **kwargs) File "/opt/fhem/.local/lib/python3.9/site-packages/requests/adapters.py", line 516, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='openapi.tuyaeu.com', port=443): Max retries exceeded with url: /v1.0/token?grant_type=1 (Caused by NewConnectionError(': Failed to establish a new connection: [Errno -3] Temporary failure in name resolution

Netzwerkfehler zu dem Zeitpunkt? [Errno -3] Temporary failure in name resolution klingt danach.

Tritt der Fehler noch immer auf?
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #139 am: 02 August 2022, 22:31:15 »
Hallo.
habe hier einen Smartmeter eingebunden, der mir dieses reading liefert
phase_a

{"electricCurrent":3.12,"power":0.749,"voltage":238.8}
Wie bekomme ich die einzelnen Werte als eigenes reading?

Kannst du mir bitte einen Screenshot vom gesamten Device aus FHEM posten? Bitte API SECRET im Screenshot entfernen. Vielleicht kann ich das generell implementieren, dass Objekte immer aufgeteilt werden. Z.B. phase_a_electricCurrent, phase_a_power, usw.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline satprofi

  • Hero Member
  • *****
  • Beiträge: 1658
Antw:fhempy: tuya (lokal)
« Antwort #140 am: 05 August 2022, 08:39:31 »
bitte sehr, vielleicht kannst was damit anfangen
DEF        tuya nqxxxxxxxx bf812d9f66xxxxxxx 192.168.178.58 fe77b7xxxxxx 3.3 tfwt7ksmxxxxxxxx b82406cf399c471xxxxxxx
   DEVICEID   bf812d9f66c2xxxxxx
   FHEMPYTYPE tuya
   FUUID      62e56e0c-f33f-e87c-3d60-4dd71820063cbd4a
   IODev      local_pybinding
   NAME       GroWatt_bf812d9f66c2fbeec4uqbe
   NR         261
   PYTHONTYPE tuya
   STATE      {"electricCurrent":0.91,"power":0.059,"voltage":237.0}
   TYPE       fhempy
   OLDREADINGS:
   READINGS:
     2022-07-30 19:44:46   active_time     1659191115
     2022-08-05 08:35:56   alarm_set_2     [{"alarmCode":"overcurrent","doAction":false,"threshold":"60"},{"alarmCode":"ammeter_overvoltage","doAction":false,"threshold":"245"},{"alarmCode":"under_voltage","doAction":false,"threshold":"180"},{"alarmCode":"insufficient_balance","doAction":false,"threshold":"30"}]
     2022-08-05 08:35:56   balance_energy  0.0
     2022-07-30 19:44:46   biz_type        18
     2022-07-30 19:44:46   category        zndb
     2022-08-05 08:35:56   charge_energy   0.0
     2022-08-05 08:35:56   clear_energy    off
     2022-07-30 19:44:46   create_time     1659104955
     2022-08-05 08:35:56   dp_06           CUIAA44AADs=
     2022-07-30 22:08:43   dp_17           AQAAPAMAAPUEAAC0CAAAHg==
     2022-07-31 14:35:18   electricCurrent 4
     2022-08-05 08:35:56   event_clear     off
     2022-08-05 08:35:56   fault           0
     2022-07-31 14:03:12   forward_energie_total 655
     2022-08-05 08:35:56   forward_energy_total 20.97
     2022-07-30 19:44:46   icon            smart/icon/ay1536897190133VVeLx/32346148448dd9829abb97ce317c5e82.png
     2022-07-30 19:44:46   id              bf812d9f66c2fbexxxxxx
     2022-07-30 19:44:46   ip              178.18.xxx.xxx
     2022-07-30 19:44:46   lat             47.x
     2022-07-30 19:44:46   local_key       fe77b794exxxxxx
     2022-07-30 19:44:46   lon             16.x
     2022-07-30 19:44:46   name            GroWatt
     2022-07-30 19:44:46   online          1
     2022-07-30 19:44:46   owner_id        3080xxxx
     2022-08-05 08:35:56   phase_a         {"electricCurrent":0.91,"power":0.059,"voltage":237.0}
     2022-07-30 19:44:46   product_id      nqbs1onwskmmmaac
     2022-07-30 19:44:46   product_name    wifi smart meter
     2022-08-05 08:35:56   state           on
     2022-07-30 19:44:46   sub             0
     2022-07-30 19:44:47   switch          on
     2022-08-05 08:35:56   switch_prepayment off
     2022-07-30 19:44:46   time_zone       +02:00
     2022-07-30 19:44:46   uid             eu1621020001749bDAT5
     2022-07-30 19:44:46   update_time     1659202197
     2022-07-30 19:44:46   uuid            08063f8792db1b9a
   args:
     GroWatt_bf812d9f66c2fbeec4uqbe
     fhempy
     tuya
     nqbs1onwxxxxx
     bf812d9f66c2fxxxxx
     192.168.178.58
     fe77b794xxxxxx
     3.3
     tfwt7ksmbaxxxxxxx
     b82406cf399c47138dxxxxxxx
   argsh:
Attributes:
   dp_01      forward_energy_total
   dp_10      fault
   dp_12      switch_prepayment
   dp_13      balance_energy
   dp_16      switch
   group      tuya
   room       Heizraum,fhempy
   stateFormat phase_a
   tuya_spec_functions [{'code': 'switch_prepayment', 'dp_id': 12, 'type': 'Boolean', 'values': '{}', 'desc': 'switch prepayment'}, {'code': 'clear_energy', 'dp_id': 14, 'type': 'Boolean', 'values': '{}', 'desc': 'clear energy'}, {'code': 'charge_energy', 'dp_id': 15, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":50000,"scale":0,"step":1}', 'desc': 'charge energy'}, {'code': 'switch', 'dp_id': 16, 'type': 'Boolean', 'values': '{}', 'desc': 'switch'}, {'code': 'alarm_set_2', 'dp_id': 17, 'type': 'Json', 'values': '{}', 'desc': 'alarm set 2'}, {'code': 'event_clear', 'dp_id': 20, 'type': 'Boolean', 'values': '{}', 'desc': 'event clear'}]
   tuya_spec_status [{'code': 'forward_energy_total', 'dp_id': 1, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":99999999,"scale":2,"step":1}'}, {'code': 'phase_a', 'dp_id': 6, 'type': 'Json', 'values': '{}'}, {'code': 'fault', 'dp_id': 10, 'type': 'Bitmap', 'values': '{"label":["ov_cr","unbalance_alarm","ov_vol","undervoltage_alarm","miss_phase_alarm","outage_alarm","magnetism_alarm","terminal_alarm","cover_alarm","credit_alarm","no_balance_alarm","battery_alarm","meter_hardware_alarm"]}'}, {'code': 'switch_prepayment', 'dp_id': 12, 'type': 'Boolean', 'values': '{}'}, {'code': 'balance_energy', 'dp_id': 13, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":99999999,"scale":2,"step":1}'}, {'code': 'clear_energy', 'dp_id': 14, 'type': 'Boolean', 'values': '{}'}, {'code': 'charge_energy', 'dp_id': 15, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":50000,"scale":0,"step":1}'}, {'code': 'switch', 'dp_id': 16, 'type': 'Boolean', 'values': '{}'}, {'code': 'alarm_set_2', 'dp_id': 17, 'type': 'Json', 'values': '{}'}, {'code': 'event_clear', 'dp_id': 20, 'type': 'Boolean', 'values': '{}'}]
gruss
-----------------------------------------------------------------------
Raspberry - Fhem 5.7 CUL 868, FS20, NetIO230 CUL 433
HMLAN, HM-CC-RT-DN,Homematic Actoren,LD382A,Telegram

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #141 am: 05 August 2022, 20:16:15 »
Das ist ja eigenartig, es gibt gar kein Attribut dp_06=phase_a und trotzdem wird der Wert von phase_a aktualisiert?
Ich schau mir das mal an, ich könnte immer wenn type=Json ist die Werte aufdröseln.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #142 am: 05 August 2022, 20:59:34 »
Bitte mit 0.1.386 testen.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline satprofi

  • Hero Member
  • *****
  • Beiträge: 1658
Antw:fhempy: tuya (lokal)
« Antwort #143 am: 06 August 2022, 08:19:43 »
Bitte mit 0.1.386 testen.

jetzt wird phase_a nicht mehr aktualisiert :-(

und nach neuscan der devices und anlegen neu von growatt, jetzt keine readings mehr ........

nach neustart des fhmpy servers readings vorhanden, aber keine energiewerte mehr :-( :-(
« Letzte Änderung: 06 August 2022, 09:43:22 von satprofi »
gruss
-----------------------------------------------------------------------
Raspberry - Fhem 5.7 CUL 868, FS20, NetIO230 CUL 433
HMLAN, HM-CC-RT-DN,Homematic Actoren,LD382A,Telegram

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #144 am: 06 August 2022, 09:44:22 »
Poste mir bitte nochmals ein list vom Device und mach danach einen fhempy Restart.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline satprofi

  • Hero Member
  • *****
  • Beiträge: 1658
Antw:fhempy: tuya (lokal)
« Antwort #145 am: 06 August 2022, 09:51:31 »
Internals:
   CFGFN     
   DEF        tuya nqbs1onwskmxxxx bf812d9f66c2fbeecxxxx 192.168.178.58 fe77b794ef5xxxxx 3.3 tfwt7ksmba4zih1xxxxx b82406cf399c471xxxxxx
   DEVICEID   bf812d9f66c2fbeecxxxxx
   FHEMPYTYPE tuya
   FUUID      62ee19ce-f33f-e87c-c80b-7796c55f2da8ac2e
   IODev      local_pybinding
   NAME       GroWatt
   NR         24841
   PYTHONTYPE tuya
   STATE      online
   TYPE       fhempy
   READINGS:
     2022-08-06 09:39:15   active_time     1659191115
     2022-08-06 09:39:18   balance_energy  0.0
     2022-08-06 09:39:15   biz_type        18
     2022-08-06 09:39:15   category        zndb
     2022-08-06 09:39:15   create_time     1659104955
     2022-08-06 09:49:13   dp_06           CT8ABsIAAZo=
     2022-08-06 09:39:18   fault           0
     2022-08-06 09:41:55   forward_energie_total 655
     2022-08-06 09:49:12   forward_energy_total 26.03
     2022-08-06 09:39:15   icon            smart/icon/ay1536897190133VVeLx/32346148448dd9829abb97ce317c5e82.png
     2022-08-06 09:39:15   id              bf812d9fxxxxxx
     2022-08-06 09:39:15   ip              178.18.162.109
     2022-08-06 09:39:15   lat             47.8506
     2022-08-06 09:39:15   local_key       fe77b794exxxxx
     2022-08-06 09:39:15   lon             16.6159
     2022-08-06 09:39:15   name            GroWatt
     2022-08-06 09:39:15   online          1
     2022-08-06 09:39:15   owner_id        30806176
     2022-08-06 09:47:20   phase_a         6
     2022-08-06 09:39:15   product_id      nqbs1onwskmmmaac
     2022-08-06 09:39:15   product_name    wifi smart meter
     2022-08-06 09:39:18   state           online
     2022-08-06 09:39:15   sub             0
     2022-08-06 09:39:18   switch          on
     2022-08-06 09:39:18   switch_prepayment off
     2022-08-06 09:39:15   time_zone       +02:00
     2022-08-06 09:39:15   uid             eu1621020001749bDAT5
     2022-08-06 09:39:15   update_time     1659202197
     2022-08-06 09:39:15   uuid            08063f8792db1b9a
   args:
     GroWatt
     fhempy
     tuya
     nqbs1onwskmmmaac
     bf812d9f66c2xxxxx
     192.168.178.58
     fe77b794ef5xxxxx
     3.3
     tfwt7ksmba4zixxxxxxx
     b82406cf399c47138dxxxxxxxxx
   argsh:
Attributes:
   alias      GroWatt
   dp_01      forward_energy_total
   dp_10      fault
   dp_12      switch_prepayment
   dp_13      balance_energy
   dp_16      switch
   group      tuya
   room       fhempy
   tuya_spec_functions [{'code': 'switch_prepayment', 'dp_id': 12, 'type': 'Boolean', 'values': '{}', 'desc': 'switch prepayment'}, {'code': 'clear_energy', 'dp_id': 14, 'type': 'Boolean', 'values': '{}', 'desc': 'clear energy'}, {'code': 'charge_energy', 'dp_id': 15, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":50000,"scale":0,"step":1}', 'desc': 'charge energy'}, {'code': 'switch', 'dp_id': 16, 'type': 'Boolean', 'values': '{}', 'desc': 'switch'}, {'code': 'alarm_set_2', 'dp_id': 17, 'type': 'Json', 'values': '{}', 'desc': 'alarm set 2'}, {'code': 'event_clear', 'dp_id': 20, 'type': 'Boolean', 'values': '{}', 'desc': 'event clear'}]
   tuya_spec_status [{'code': 'forward_energy_total', 'dp_id': 1, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":99999999,"scale":2,"step":1}'}, {'code': 'phase_a', 'dp_id': 6, 'type': 'Json', 'values': '{}'}, {'code': 'fault', 'dp_id': 10, 'type': 'Bitmap', 'values': '{"label":["ov_cr","unbalance_alarm","ov_vol","undervoltage_alarm","miss_phase_alarm","outage_alarm","magnetism_alarm","terminal_alarm","cover_alarm","credit_alarm","no_balance_alarm","battery_alarm","meter_hardware_alarm"]}'}, {'code': 'switch_prepayment', 'dp_id': 12, 'type': 'Boolean', 'values': '{}'}, {'code': 'balance_energy', 'dp_id': 13, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":99999999,"scale":2,"step":1}'}, {'code': 'clear_energy', 'dp_id': 14, 'type': 'Boolean', 'values': '{}'}, {'code': 'charge_energy', 'dp_id': 15, 'type': 'Integer', 'values': '{"unit":"kW·h","min":0,"max":50000,"scale":0,"step":1}'}, {'code': 'switch', 'dp_id': 16, 'type': 'Boolean', 'values': '{}'}, {'code': 'alarm_set_2', 'dp_id': 17, 'type': 'Json', 'values': '{}'}, {'code': 'event_clear', 'dp_id': 20, 'type': 'Boolean', 'values': '{}'}]
gruss
-----------------------------------------------------------------------
Raspberry - Fhem 5.7 CUL 868, FS20, NetIO230 CUL 433
HMLAN, HM-CC-RT-DN,Homematic Actoren,LD382A,Telegram

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #146 am: 06 August 2022, 10:31:37 »
Schau bitte mal im fhempy Log ob Fehler vorliegen und poste mir diese bitte.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline satprofi

  • Hero Member
  • *****
  • Beiträge: 1658
Antw:fhempy: tuya (lokal)
« Antwort #147 am: 06 August 2022, 11:22:55 »
meinst das?

empy.lib.fhem_pythonbinding: Incoming FHEM connection: 127.0.0.1
2022-08-06 10:05:04,806 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_06 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:04,905 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_14 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:04,928 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_15 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:04,970 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_17 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:04,991 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_20 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:05,030 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_14 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:05,051 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_15 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:05,061 - WARNING  - Velux_Socket_bfe4369aa3daab28e1r83q: dp_17 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:05,091 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_17 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:05,123 - WARNING  - GroWatt_bf812d9f66c2fbeec4uqbe: dp_20 in spec but not found locally. This should be reported to TuYa
2022-08-06 10:05:05,709 - ERROR    - tuya_cloud_connector: Please activate OpenPulsar: https://developer.tuya.com/en/docs/iot/subscribe-mq?id=Kavqcrvckbh9h
2022-08-06 10:05:06,337 - ERROR    - Smart_Bulb_2_bf1e761f9250ba6bd0jemt: 'result'
Traceback (most recent call last):
gruss
-----------------------------------------------------------------------
Raspberry - Fhem 5.7 CUL 868, FS20, NetIO230 CUL 433
HMLAN, HM-CC-RT-DN,Homematic Actoren,LD382A,Telegram

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #148 am: 06 August 2022, 12:41:50 »
Ja, genau. Geht das Log noch weiter? Auch das Traceback zur Smart_Bubl wäre noch interessant, da dort ein Fehler mit "result" aufgetreten ist.

Sehe ich richtig, dass phase_a jetzt den Wert 6 bekommen hat?
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3272
Antw:fhempy: tuya (lokal)
« Antwort #149 am: 06 August 2022, 12:49:02 »
Ich vermute folgendes:
Du hattest vorher das Device über tuya_cloud im Einsatz. Daher wurde es noch über tuya_cloud aktualisiert, obwohl es schon über tuya (local) angelegt wurde.
Der Wert den du über tuya local bekommst ist:
     2022-08-06 09:49:13   dp_06           CT8ABsIAAZo=
Da sind die Werte drin "verborgen". Schau bitte ob sich dp_06 aktualisiert. Wenn ja, müssen wir die Werte dort dekodieren.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

 

decade-submarginal